VULKAN_HPP_NAMESPACE::ShaderModuleValidationCacheCreateInfoEXT Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::ShaderModuleValidationCacheCreateInfoEXT:
[legend]

## Public Member Functions

| ShaderModuleValidationCacheCreateInfoEXT (ValidationCacheEXT validationCache_=ValidationCacheEXT())
| ShaderModuleValidationCacheCreateInfoEXT (VkShaderModuleValidationCacheCreateInfoEXT const &rhs)
ShaderModuleValidationCacheCreateInfoEXT & | operator= (VkShaderModuleValidationCacheCreateInfoEXT const &rhs)
ShaderModuleValidationCacheCreateInfoEXT & | setPNext (const void *pNext_)
ShaderModuleValidationCacheCreateInfoEXT & | setValidationCache (ValidationCacheEXT validationCache_)
| operator VkShaderModuleValidationCacheCreateInfoEXT const & () const
| operator VkShaderModuleValidationCacheCreateInfoEXT & ()
bool | operator== (ShaderModuleValidationCacheCreateInfoEXT const &rhs) const
bool | operator!= (ShaderModuleValidationCacheCreateInfoEXT const &rhs) const

## Data Fields

const void * | pNext = nullptr
ValidationCacheEXT | validationCache

## Private Attributes

StructureType | sType = StructureType::eShaderModuleValidationCacheCreateInfoEXT

## Detailed Description

Definition at line 17194 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ShaderModuleValidationCacheCreateInfoEXT() [1/2]

VULKAN_HPP_NAMESPACE::ShaderModuleValidationCacheCreateInfoEXT::ShaderModuleValidationCacheCreateInfoEXT | ( | ValidationCacheEXT | validationCache_ = `ValidationCacheEXT()` | ) |

inline

Definition at line 17196 of file vulkan.hpp.

: validationCache( validationCache_ )
{
}

## ShaderModuleValidationCacheCreateInfoEXT() [2/2]

VULKAN_HPP_NAMESPACE::ShaderModuleValidationCacheCreateInfoEXT::ShaderModuleValidationCacheCreateInfoEXT | ( | VkShaderModuleValidationCacheCreateInfoEXT const & | rhs | ) |

inline

Definition at line 17201 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ShaderModuleValidationCacheCreateInfoEXT ) );
}

References memcpy.

## Member Function Documentation

## operator VkShaderModuleValidationCacheCreateInfoEXT &()

VULKAN_HPP_NAMESPACE::ShaderModuleValidationCacheCreateInfoEXT::operator VkShaderModuleValidationCacheCreateInfoEXT & | ( |  | ) |

inline

Definition at line 17228 of file vulkan.hpp.

{
return *reinterpret_cast<VkShaderModuleValidationCacheCreateInfoEXT*>(this);
}

## operator VkShaderModuleValidationCacheCreateInfoEXT const &()

VULKAN_HPP_NAMESPACE::ShaderModuleValidationCacheCreateInfoEXT::operator VkShaderModuleValidationCacheCreateInfoEXT const & | ( |  | ) | const

inline

Definition at line 17223 of file vulkan.hpp.

{
return *reinterpret_cast<const VkShaderModuleValidationCacheCreateInfoEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ShaderModuleValidationCacheCreateInfoEXT::operator!= | ( | ShaderModuleValidationCacheCreateInfoEXT const & | rhs | ) | const

inline

Definition at line 17240 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

ShaderModuleValidationCacheCreateInfoEXT& VULKAN_HPP_NAMESPACE::ShaderModuleValidationCacheCreateInfoEXT::operator= | ( | VkShaderModuleValidationCacheCreateInfoEXT const & | rhs | ) |

inline

Definition at line 17206 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ShaderModuleValidationCacheCreateInfoEXT ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::ShaderModuleValidationCacheCreateInfoEXT::operator== | ( | ShaderModuleValidationCacheCreateInfoEXT const & | rhs | ) | const

inline

Definition at line 17233 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( validationCache == rhs.validationCache );
}

References pNext, sType, and validationCache.

Referenced by operator!=().

## setPNext()

ShaderModuleValidationCacheCreateInfoEXT& VULKAN_HPP_NAMESPACE::ShaderModuleValidationCacheCreateInfoEXT::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 17211 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setValidationCache()

ShaderModuleValidationCacheCreateInfoEXT& VULKAN_HPP_NAMESPACE::ShaderModuleValidationCacheCreateInfoEXT::setValidationCache | ( | ValidationCacheEXT | validationCache_ | ) |

inline

Definition at line 17217 of file vulkan.hpp.

{
validationCache = validationCache_;
return *this;
}

References validationCache.

## Field Documentation

## pNext

const void* VULKAN_HPP_NAMESPACE::ShaderModuleValidationCacheCreateInfoEXT::pNext = nullptr

Definition at line 17249 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::ShaderModuleValidationCacheCreateInfoEXT::sType = StructureType::eShaderModuleValidationCacheCreateInfoEXT

private

Definition at line 17246 of file vulkan.hpp.

Referenced by operator==().

## validationCache

ValidationCacheEXT VULKAN_HPP_NAMESPACE::ShaderModuleValidationCacheCreateInfoEXT::validationCache

Definition at line 17250 of file vulkan.hpp.

Referenced by operator==(), and setValidationCache().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ShaderModuleValidationCacheCreateInfoEXT::pNext
const void * pNext
Definition: vulkan.hpp:17249
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VkShaderModuleValidationCacheCreateInfoEXT
Definition: vulkan_core.h:7877
VULKAN_HPP_NAMESPACE::ShaderModuleValidationCacheCreateInfoEXT::validationCache
ValidationCacheEXT validationCache
Definition: vulkan.hpp:17250
VULKAN_HPP_NAMESPACE::ShaderModuleValidationCacheCreateInfoEXT::sType
StructureType sType
Definition: vulkan.hpp:17246
VULKAN_HPP_NAMESPACE::ShaderModuleValidationCacheCreateInfoEXT::operator==
bool operator==(ShaderModuleValidationCacheCreateInfoEXT const &rhs) const
Definition: vulkan.hpp:17233
VULKAN_HPP_NAMESPACE::ShaderModuleValidationCacheCreateInfoEXT::ShaderModuleValidationCacheCreateInfoEXT
ShaderModuleValidationCacheCreateInfoEXT(ValidationCacheEXT validationCache_=ValidationCacheEXT())
Definition: vulkan.hpp:17196